Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/IndexToLexicalTable.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/IndexToLexicalTable.java	(revision 846)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/IndexToLexicalTable.java	(revision 847)
@@ -44,8 +44,8 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.index.core.functions.Index;
 import org.txm.lexicaltable.core.functions.LexicalTable;
-import org.txm.lexicaltable.rcp.editors.___LexicalTableEditorInput;
-import org.txm.lexicaltable.rcp.messages.LexicalTableUIMessages;
+//import org.txm.lexicaltable.rcp.editors.___LexicalTableEditorInput;
+//import org.txm.lexicaltable.rcp.messages.LexicalTableUIMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.messages.TXMUIMessages;
@@ -53,6 +53,7 @@
 /**
  * The Class IndexToLexicalTable.
  */
+// FIXME: not used?
 public class IndexToLexicalTable extends BaseAbstractHandler {
 
 	/** The window. */
@@ -87,52 +88,53 @@
 	 * @param to the to
 	 * @return true, if successful
 	 */
-	public boolean buildLexicalTable(Index voc, int from, int to) {
-		LexicalTable table;
+	// FIXME: SJ: temporary commented to avoid cyclic dependencies
+//	public boolean buildLexicalTable(Index voc, int from, int to) {
+//		LexicalTable table;
+//
+//		if (!voc.isComputedWithPartition()) {
+//			
+//			System.out.println(TXMUIMessages.IndexToLexicalTable_0);
+//			StatusLine.setMessage(TXMUIMessages.IndexToLexicalTable_0);
+//			return false;
+//		}
+//
+//		System.out.println(LexicalTableUIMessages.ComputeLexicalTable_3);
+//		ArrayList<String> choices = new ArrayList<String>();
+//		choices.add(LexicalTableUIMessages.ComputeLexicalTable_16);
+//		choices.add(LexicalTableUIMessages.ComputeLexicalTable_12);
+//		ListSelectionDialog dialog = new ListSelectionDialog(shell, 
+//				choices, new ArrayContentProvider(), new LabelProvider(), 
+//				LexicalTableUIMessages.ComputeLexicalTable_13);
+//		
+//		int ret = dialog.open();
+//		//System.out.println("ret= "+ret);
+//		if (ret == Dialog.OK_OPTION) {
+//			
+//		} else {
+//			return false;
+//		}
+//		
+//		try {
+//			table = new LexicalTable(voc);
+//		} catch (Exception e) {
+//			// TODO Auto-generated catch block
+//			org.txm.rcp.utils.Logger.printStackTrace(e);
+//			return false;
+//		}
+//
+//		try {
+//			IWorkbenchWindow window = PlatformUI.getWorkbench()
+//					.getActiveWorkbenchWindow();
+//			IWorkbenchPage page = window.getActivePage();
+//			___LexicalTableEditorInput editorInput = new ___LexicalTableEditorInput(table);
+//			StatusLine.setMessage(LexicalTableUIMessages.ComputeLexicalTable_10);
+//			page.openEditor(editorInput, "org.txm.rcp.editors.lexicaltable.LexicalTableEditor"); //$NON-NLS-1$
+//		} catch (PartInitException e) {
+//			org.txm.rcp.utils.Logger.printStackTrace(e);
+//		} 
+//
+//		return true;
+//	}
 
-		if (!voc.isComputedWithPartition()) {
-			
-			System.out.println(TXMUIMessages.IndexToLexicalTable_0);
-			StatusLine.setMessage(TXMUIMessages.IndexToLexicalTable_0);
-			return false;
-		}
-
-		System.out.println(LexicalTableUIMessages.ComputeLexicalTable_3);
-		ArrayList<String> choices = new ArrayList<String>();
-		choices.add(LexicalTableUIMessages.ComputeLexicalTable_16);
-		choices.add(LexicalTableUIMessages.ComputeLexicalTable_12);
-		ListSelectionDialog dialog = new ListSelectionDialog(shell, 
-				choices, new ArrayContentProvider(), new LabelProvider(), 
-				LexicalTableUIMessages.ComputeLexicalTable_13);
-		
-		int ret = dialog.open();
-		//System.out.println("ret= "+ret);
-		if (ret == Dialog.OK_OPTION) {
-			
-		} else {
-			return false;
-		}
-		
-		try {
-			table = new LexicalTable(voc);
-		} catch (Exception e) {
-			// TODO Auto-generated catch block
-			org.txm.rcp.utils.Logger.printStackTrace(e);
-			return false;
-		}
-
-		try {
-			IWorkbenchWindow window = PlatformUI.getWorkbench()
-					.getActiveWorkbenchWindow();
-			IWorkbenchPage page = window.getActivePage();
-			___LexicalTableEditorInput editorInput = new ___LexicalTableEditorInput(table);
-			StatusLine.setMessage(LexicalTableUIMessages.ComputeLexicalTable_10);
-			page.openEditor(editorInput, "org.txm.rcp.editors.lexicaltable.LexicalTableEditor"); //$NON-NLS-1$
-		} catch (PartInitException e) {
-			org.txm.rcp.utils.Logger.printStackTrace(e);
-		} 
-
-		return true;
-	}
-
 }
